Package net.rubygrapefruit.platform.internal

# Class WindowsFileStat

java.lang.Object
net.rubygrapefruit.platform.internal.WindowsFileStat

All Implemented Interfaces:
  `FileInfo`, `WindowsFileInfo`

public class WindowsFileStat extends Object implements WindowsFileInfo

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.FileInfo

`FileInfo.Type`

## Constructor Summary

Constructors
Constructor
Description
`WindowsFileStat(String path)`

## Method Summary

Modifier and Type
Method
Description
`void`
`details(int type, long size, long lastModifiedWinTime)`
`long`
`getLastModifiedTime()`
Returns the last modification time of this file, in ms since epoch.
`long`
`getSize()`
Returns the size of this file, in bytes.
`FileInfo.Type`
`getType()`
Returns the type of this file.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WindowsFileStat

public WindowsFileStat(String path)

## Method Details

### details

public void details(int type, long size, long lastModifiedWinTime)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public FileInfo.Type getType()
Description copied from interface: `FileInfo`
Returns the type of this file.

Specified by:
  `getType` in interface `FileInfo`

### getSize

public long getSize()
Description copied from interface: `FileInfo`
Returns the size of this file, in bytes. Returns 0 when this file is not a regular file.

Specified by:
  `getSize` in interface `FileInfo`

### getLastModifiedTime

public long getLastModifiedTime()
Description copied from interface: `FileInfo`
Returns the last modification time of this file, in ms since epoch. Returns 0 when this file does not exist.

Specified by:
  `getLastModifiedTime` in interface `FileInfo`